curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/subscriptions/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/v3/objects/subscriptions/batch/upsert"
payload = { "inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
id: '<string>',
properties: {},
idProperty: '<string>',
objectWriteTraceId: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/crm/v3/objects/subscriptions/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>",
"warnings": [
{
"category": "<string>",
"context": {},
"message": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>",
"warnings": [
{
"category": "<string>",
"context": {},
"message": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Perform a batch upsert operation on subscription objects.
This endpoint allows you to perform a batch upsert operation on subscription objects, which will either update existing records or create new ones if they do not already exist. The operation returns the status, timestamps, and a list of successfully processed objects.
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
Show child attributes
Show child attributes
レスポンス
successful operation
Represents the result of a batch upsert operation, including the operation’s status, timestamps, and a list of successfully created or updated objects.
The timestamp when the batch process was completed, in ISO 8601 format.
Show child attributes
Show child attributes
The timestamp when the batch process began execution, in ISO 8601 format.
The status of the batch processing request. Can be: "PENDING", "PROCESSING", "CANCELED", or "COMPLETE".
CANCELED, COMPLETE, PENDING, PROCESSING An object containing relevant links related to the batch request.
Show child attributes
Show child attributes
The timestamp when the batch process was initiated, in ISO 8601 format.